// Project Lab - NHTV Igad

#pragma once

#include "Blueprint/UserWidget.h"
#include "HexagonTile.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UHexagonTile : public UUserWidget
{
	GENERATED_BODY()
public:
	UPROPERTY( EditAnywhere, Category = "UI" )
	int32 x;

	UPROPERTY( EditAnywhere, Category = "UI" )
	int32 y;

	FMargin GetMargins()
	{
		return GetFullScreenOffset();
	}

	class UMaterialInstanceDynamic* material;

	virtual void NativeConstruct() override;
};
